#define N 20
#define pii 3.14159265

/* Path length with carrier frequency 2GHz */
#define v_ms (vel/3.6)           /* Speed X kmh/3.6  */
#define  lambda_m (3E8/2E9)
#define  f_Hz  (v_ms/lambda_m)
/* Define sample rate in forward link: 64ksps or 128 ksps */   
#define  dt_s  (1.0/fs)

/* Channel related variables */
/* Pedestrian B  type */
#define ChannelNum 7
double ChannelTap_dB[7]={0.0, -2.4, -6.9, -10.5, -9.0, -10.8, -12.1};
double ChannelTap[7];

/* Lee related  variables */
float R[ChannelNum][N], S[ChannelNum][N], O[ChannelNum][N];

/* Define struct for channel */
struct CHANNEL
{
  double Re1;
  double Im1;
  double Re2;
  double Im2;
  double Re3;
  double Im3;
  double Re4;
  double Im4;
  double Re5;
  double Im5;
  double Re6;
  double Im6;
  double Re7;
  double Im7;
};